<?

if(isset($_GET['mycellar']) && isset($_GET['cultivator_all2']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]' AND `id_plant2` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator2` = '0'"),0)!=0 && $ku['cultivator2']>0)

{

$rat=1;

$rat_drakon_act=0;

$rat_sc_act=0;

$rat_lib_act=0;

if(isset($sc_act)){$rat_sc_act=$rat*2;
if(isset($vtr_act))$rat_sc_act=$rat*2*4;}else{
if(isset($vtr_act))$rat_sc_act=$rat*4;
}

$rat_cultivator2_act=(($rat/100)*$cultivator2_act);

if(isset($drakon_act))$rat_drakon_act=((2/100)*300);

if(isset($lib_act))$rat_lib_act=$rat/2;

if(isset($shmel2_act))$rat_cultivator2_act=$rat_cultivator2_act*2;

$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator2_act+$rat_school_act+$rat_lib_act;

if($ratt==0)$rat=$rat;

else $rat=$ratt;

if(isset($dexp))$rat=$rat*2;

$orat=0;

$q=mysql_querll("SELECT * FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]' AND `id_plant2` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator2` = '0'");

while($post=mysql_fetch_array($q))

{

mysql_querll("UPDATE `kolhoz_polka2` SET `cultivator2` = '1' WHERE `id` = '$post[id]' LIMIT 1");

mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");

$orat=$rat+$orat;

}

$_SESSION['rating']=$orat;

update_mc($orat);

header("Location:?mycellar&".passgen());

exit;

}

?>